<?php
defined('BASEPATH') or exit('No direct script access allowed');

class profesores_model extends CI_Model
{
    public function getproferores()
    {
        $this->db->select("l.*, t.denominacion as tipousuario");
        $this->db->join("tipousuario t", "t.id = l.idtipousuario");
        $resultados = $this->db->get("funcionarios l");
        if ($resultados->num_rows() > 0) {
            return $resultados->result();
        } else {
            return false;
        }
    }

    public function getprofesor($id)
    {

        $this->db->select("l.*,t.denominacion as tipousuario");
        $this->db->join("tipousuario t", "t.id = l.idtipousuario");
        $this->db->where("l.IdUsuario", $id);
        $resultados = $this->db->get("funcionarios l");
        if ($resultados->num_rows() > 0) {
            return $resultados->row();
        } else {
            return false;
        }

    }

    public function guardar($datos)
    {
        return $this->db->insert("funcionarios", $datos);
    }

    public function update($id, $data)
    {
        $this->db->where("IdUsuario", $id);
        return $this->db->update("funcionarios", $data);
    }

    public function delete($id)
    {
        $this->db->where("IdUsuario", $id);
        return $this->db->delete("funcionarios");
    }

    public function comprobarCedula($Cedula)
    {
        $this->db->select("*");
        $this->db->where('Cedula', $Cedula);
        $resultados = $this->db->get('funcionarios');
        if ($resultados->num_rows() > 0) {
            return $resultados->row();
        } else {
            return false;
        }
    }
}
